*-----------------------------------------------------------------------
*     USPACK AXIS (LOG)                             S.Sakai  99/10/05
*-----------------------------------------------------------------------

      SUBROUTINE USAXLG(CSIDE, NLBL, NTICKS)

      CHARACTER  CSIDE*(*), CS
      EXTERNAL   LENZ
      LOGICAL    LOFF

      CALL UZLGET('LOFFSET', LOFF)
      CALL UZLSET('LOFFSET', .TRUE.)

      NCS = LENZ(CSIDE)
      DO 100 I=1, NCS
        CS = CSIDE(I:I)
        CALL CUPPER(CS)

        IF(CS.EQ.'T' .OR. CS.EQ.'B' .OR. CS.EQ.'H') THEN
          IF(CS.EQ.'H') CS='U'
          CALL USXINZ(CS,FACTOR,OFFSET)
          CALL ULXLOG(CS, NLBL, NTICKS)
          CALL USXTLZ

        ELSEIF(CS.EQ.'L' .OR. CS.EQ.'R' .OR. CS.EQ.'V') THEN
          IF(CS.EQ.'V') CS='U'
          CALL USYINZ(CS,FACTOR,OFFSET)
          CALL ULYLOG(CS, NLBL, NTICKS)
          CALL USYTLZ
        ENDIF

  100 CONTINUE
      CALL UZLSET('LOFFSET', LOFF)

      END
